-------------------------------------------------------------------------------
--                                                                           --
--  Ada Interface to the X Window System and Motif(tm)/Lesstif               --
--  Copyright (c) 1996-2000 Hans-Frieder Vogt                                --
--                                                                           --
--  This program is free software; you can redistribute it and/or modify     --
--  it under the terms of the GNU General Public License as published by     --
--  the Free Software Foundation; either version 2 of the License, or        --
--  (at your option) any later version.                                      --
--                                                                           --
--  This program is distributed in the hope that it will be useful,          --
--  but WITHOUT ANY WARRANTY; without even the implied warranty of           --
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                     --
--  See the GNU General Public License for more details.                     --
--                                                                           --
--  You should have received a copy of the GNU General Public License        --
--  along with this program; if not, write to the                            --
--  Free Software Foundation, Inc.,                                          --
--  59 Temple Place - Suite 330,                                             --
--  Boston, MA 02111-1307, USA.                                              --
--                                                                           --
--                                                                           --
--  X Window System is copyrighted by the X Consortium                       --
--  Motif(tm)       is copyrighted by the Open Software Foundation, Inc.     --
--                                                                           --
--                                                                           --
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
--
-- HISTORY:
--          June 20, 1998 begin of history
--
-------------------------------------------------------------------------------

with String_List_Conversion,
     X_Lib,
     X_Toolkit;
use  X_Toolkit;
package Actions_Global is

   Appshell,
   The_Button    : Widget;
   App_Con       : Xt_App_Context;
   Argl          : Arg_List := Null_Arg_List;


   procedure Action_One (W          : in Widget;
                         Event      : in X_Lib.X_Event_Pointer;
                         Params     : in String_List_Conversion.Chars_Ptr_List_Type;
                         Num_Params : access String_List_Conversion.Index_Type);
   pragma Convention (C, Action_One);
 

   procedure Action_Two (W          : in Widget;
                         Event      : in X_Lib.X_Event_Pointer;
                         Params     : in String_List_Conversion.Chars_Ptr_List_Type;
                         Num_Params : access String_List_Conversion.Index_Type);
   pragma Convention (C, Action_Two);
 
end Actions_Global;
