--***********************************************************************
--									*
--									*
--   This software was written by Bevin Brett, of Digital Equipment	*
--   Corporation.							*
--									*
--   Digital assumes no responsibility AT ALL for the use or reliability*
--   of this software.							*
--									*
--   Redistribution and use in source and binary forms are permitted	*
--   provided that the above copyright notice and this paragraph are	*
--   duplicated in all such forms and that any documentation,		*
--   advertising materials, and other materials related to such		*
--   distribution and use acknowledge that the software was developed	*
--   by Digital Equipment Corporation. The name of Digital Equipment	*
--   Corporation may not be used to endorse or promote products derived	*
--   from this software without specific prior written permission.	*
--									*
--   THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR	*
--   IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED	*
--   WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.*
--									*
--***********************************************************************

-- modified for use with Adabindx 10.8.1997
-- Hans-Frieder Vogt (vogt@ilaws6.luftfahrt.uni-stuttgart.de)

with COLORS;
use  COLORS;
package GRAPHICS_WINDOW_MANAGER is

    type POINT_AXIS_TYPE is digits 4 range 0.0 .. 1.0;
    type POINT_TYPE is record X, Y : POINT_AXIS_TYPE; end record;
    type POINTS_TYPE is array(POSITIVE range <>) of POINT_TYPE;

    procedure FILL_CONVEX_POLYGON(
	COLOR : COLORS.COLOR;
	POINTS: POINTS_TYPE
	);

    procedure START_NEW_PICTURE;

    procedure STARTUP(NAME : STRING);

    function End_Requested return Boolean;

end;

